| Home | Libraries | People | FAQ | More

## Function template make_adaptive_time_range

boost::numeric::odeint::make_adaptive_time_range — Factory function to construct a single pass range of adaptive time iterators. A range is here a pair of adaptive_time_iterators.

## Synopsis

    // In header: <boost/numeric/odeint/iterator/adaptive_time_iterator.hpp>

    template<typename Stepper, typename System, typename State>
      std::pair< adaptive_time_iterator< Stepper, System, State >, adaptive_time_iterator< Stepper, System, State > >
      make_adaptive_time_range(Stepper stepper, System system, State & x,
                               typename traits::time_type< Stepper >::type t_start,
                               typename traits::time_type< Stepper >::type t_end,
                               typename traits::time_type< Stepper >::type dt);

## Description

Parameters: |
`stepper` | The stepper to use during the iteration.
`system` | The system function (ODE) to solve.
`x` | The initial state. adaptive_time_iterator stores a reference of s and changes its value during the iteration.
`t_start` | The initial time.
`t_end` | The end time, at which the iteration should stop.
`dt` | The initial time step.
Returns: | The adaptive time range.